import { relationList } from './field.js';
import { extractDirectedRelation } from './helpers.js';
import { afterDocumentDelete } from './hooks.js';
import { translations } from './translations.js';
export const biDirectionalRelationship = (config)=>{
    const { here, there } = extractDirectedRelation(config, 'A->B');
    return {
        config,
        anchors: {
            [here.collection]: relationList(config, 'A->B'),
            [there.collection]: relationList(config, 'B->A')
        },
        hooks: {
            [here.collection]: afterDocumentDelete(config, 'A->B'),
            [there.collection]: afterDocumentDelete(config, 'B->A')
        }
    };
};
export const biDirectionalRelationships = (relationships)=>(incomingConfig)=>({
            ...incomingConfig,
            collections: (incomingConfig.collections || []).map((collection)=>({
                    ...collection,
                    hooks: {
                        ...collection.hooks,
                        afterDelete: [
                            ...collection.hooks?.afterDelete ?? [],
                            ...relationships.filter((relationship)=>Object.keys(relationship.hooks).includes(collection.slug)).map((relationship)=>relationship.hooks[collection.slug])
                        ]
                    }
                })),
            i18n: {
                ...incomingConfig.i18n,
                translations: {
                    de: {
                        ...incomingConfig.i18n?.translations?.de ?? {},
                        ...translations.de
                    },
                    en: {
                        ...incomingConfig.i18n?.translations?.en ?? {},
                        ...translations.en
                    }
                }
            }
        });

//# sourceMappingURL=index.js.map